curl --location --request POST 'https://api.stg.bidancer.com/tender-service/v1/tender' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"basic": {
"activityType": "procurement",
"altCategory": "string",
"altCategoryId": "string",
"category": "string",
"categoryId": "string",
"city": "string",
"countryCode": "str",
"currency": "string",
"description": "string",
"industry": "string",
"industryId": "string",
"isRemote": true,
"name": "string",
"quantityRequired": 0,
"resourceType": "goods",
"state": "string",
"tags": [
"string"
],
"unit": "string"
},
"budget": {
"budgetMax": 0,
"budgetMin": 0,
"budgetVisibility": "public_range",
"isBudgetNegotiable": true,
"isPrepaid": true,
"partialAdvancePayment": true,
"paymentTermsText": "",
"pricingModel": "fixed"
},
"businessId": "string",
"eligibility": {
"allowedBidderType": "BUSINESS",
"allowedCategoryIds": [
"string"
],
"allowedCountries": [
"str"
],
"allowedIndustryIds": [
"string"
],
"marketMode": "DOMESTIC",
"minBusinessAgeMonths": 0,
"minCompletedEngagements": 0,
"minRating": 0,
"notesForIneligible": "",
"requiredSignals": [
"LEGAL_REGISTRATION"
],
"restrictedCountries": [
"str"
]
},
"publish": {
"autoClose": true,
"closeAt": "2019-08-24T14:15:22.123Z",
"openAt": "2019-08-24T14:15:22.123Z",
"published": true,
"visibility": "public"
},
"specifications": {
"attachments": [
{
"kind": "image",
"mimeType": "string",
"name": "string",
"sizeBytes": 0,
"url": "http://example.com"
}
],
"keyHighlights": [
"string"
],
"specifications": [
{
"hint": "string",
"key": "string",
"name": "string",
"unit": "string",
"value": "string",
"valueType": "text"
}
],
"specSummary": "string"
}
}'{
"status": "success",
"message": "string",
"data": {
"activityType": "procurement",
"allowedBidderType": "BUSINESS",
"allowedCategoryIds": [
"string"
],
"allowedCountries": [
"string"
],
"allowedIndustryIds": [
"string"
],
"altCategory": "string",
"altCategoryId": "string",
"attachments": [
{
"kind": "image",
"mimeType": "string",
"name": "string",
"sizeBytes": 0,
"url": "http://example.com"
}
],
"autoClose": true,
"budgetMax": 0,
"budgetMin": 0,
"budgetVisibility": "public_range",
"business": {
"id": "string",
"incorporationCountry": "string",
"incorporationDate": "2019-08-24T14:15:22.123Z",
"incorporationName": "string",
"incorporationType": "string",
"logo": "string",
"ratingAverage": 0,
"ratingCount": 0,
"status": "active",
"tradingName": "string"
},
"businessId": "string",
"category": "string",
"categoryId": "string",
"city": "string",
"closeAt": "2019-08-24T14:15:22.123Z",
"countryCode": "string",
"createdAt": "2019-08-24T14:15:22.123Z",
"currency": "string",
"description": "string",
"id": "string",
"industry": "string",
"industryId": "string",
"isActive": true,
"isBudgetNegotiable": true,
"isPrepaid": true,
"isRemote": true,
"keyHighlights": [
"string"
],
"marketMode": "DOMESTIC",
"minBusinessAgeMonths": 0,
"minCompletedEngagements": 0,
"minRating": 0,
"name": "string",
"notesForIneligible": "string",
"openAt": "2019-08-24T14:15:22.123Z",
"partialAdvancePayment": true,
"paymentTermsText": "string",
"pricingModel": "fixed",
"published": true,
"quantityRequired": 0,
"requiredSignals": [
"LEGAL_REGISTRATION"
],
"resourceType": "goods",
"restrictedCountries": [
"string"
],
"specifications": [
{
"hint": "string",
"key": "string",
"name": "string",
"unit": "string",
"value": "string",
"valueType": "text"
}
],
"specSummary": "string",
"state": "string",
"status": "open",
"tags": [
"string"
],
"unit": "string",
"updatedAt": "2019-08-24T14:15:22.123Z",
"visibility": "public"
}
}